<!DOCTYPE html>
<html lang="cs">
  <head>
    <meta charset='UTF-8'>
    <meta name="author" content="Benjamin Verner">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="styles.css">
    <title>
    Úvod
    </title>
  </head>
  <body>
    <ul>
      <li class="menu"><a href="index.html">Úvod</a></li>
      <li class="menu"><a href="solver.html">SAT Solver</a></li>
      <li class="submenu">
        <a class="submenu-button">Konkrétní problémy</a>
        <div class="submenu-elements">
          <a href="pozorovani.html">Pozorování</a>
          <a href="sudoku.html">Sudoku</a>
          <a href="abc.html">Easy as ABC</a>
          <a href="logik.html">Logik</a>
          <a href="slitherlink.html">Slitherlink</a>
        </div>
      </li>
      <li class="menu"><a href="dokumentace.html">Technická dokumentace</a></li>
      <li class="menu"><a href="zaver.html">Závěr</a></li>
      <li class="menu"><a href="citace.html">Citace</a></li>
    </ul>
    <article>
      <h2 id="title">Citace</h2>
      <section>
        <h3>Použité knihovny</h3>
        <a href="https://docs.python.org/3/library/itertools.html">Itertools</a>
        <p>Použito při generování klausulí na tvoření kombinací z množiny proměnných.</p>
        <a href="https://pypi.org/project/rich/">Rich</a>
        <p>Použito při formátování výstupu pro vytvoření hezkých Sudoku tabulek.</p>
        <a href="https://pypi.org/project/plumbum/">Plumbum</a>
        <p>Knihovna pro jednoduché spouštění programu z konzole - přidání argumentů k './main.py' k upřesnění typu problému a vstupního souboru.</p>
      </section>
      <section>
        <h3>Obrázky</h3>
        <p>http://puzzleparasite.blogspot.com/2011/09/rules-easy-as-abc.html</p>
        <p>https://hausigel.de/blog/2020/08/15/classics-collection-slitherlink/</p>
        <p>https://towardsdatascience.com/how-to-win-sudoku-3a82d05a57d</p>
        <p>Šimon Brecher</p>
      </section>
    </article>
  </body>
</html>
